<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionWallBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/df4/a01779.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionWallBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionWallBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d5/df4/a01779.png" usemap="#ExpansionWallBase_map" alt=""/>
  <map id="ExpansionWallBase_map" name="ExpansionWallBase_map">
<area href="../../d4/d3c/a01671.html" title="This class handle base class of expansion basebuilding" alt="ExpansionBaseBuilding" shape="rect" coords="0,0,143,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a504e2194586efaa0ecb580de43fcf523"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a504e2194586efaa0ecb580de43fcf523">ExpansionWallBase</a> ()</td></tr>
<tr class="separator:a504e2194586efaa0ecb580de43fcf523"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4459a8df4dc0e63f2661ae070b1bbcb2"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a4459a8df4dc0e63f2661ae070b1bbcb2">IsLastStage</a> ()</td></tr>
<tr class="separator:a4459a8df4dc0e63f2661ae070b1bbcb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24d4c96ca70d6feba2f062847a4b5a29"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a24d4c96ca70d6feba2f062847a4b5a29">IsLastStageBuilt</a> ()</td></tr>
<tr class="separator:a24d4c96ca70d6feba2f062847a4b5a29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affbe467b9a2298513e586e1219c0fc7c"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#affbe467b9a2298513e586e1219c0fc7c">GetConstructionKitType</a> ()</td></tr>
<tr class="separator:affbe467b9a2298513e586e1219c0fc7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada84ef69e9ef03fee3ead778c452bf39"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#ada84ef69e9ef03fee3ead778c452bf39">NameOverride</a> (out string output)</td></tr>
<tr class="separator:ada84ef69e9ef03fee3ead778c452bf39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41e115a8950f9fe82667ca497fde992d"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a41e115a8950f9fe82667ca497fde992d">CanBeDamaged</a> ()</td></tr>
<tr class="separator:a41e115a8950f9fe82667ca497fde992d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b4b00c1a13d14107b9e0eb25194e15a"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a3b4b00c1a13d14107b9e0eb25194e15a">HasBase</a> ()</td></tr>
<tr class="separator:a3b4b00c1a13d14107b9e0eb25194e15a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c728c5a39b6305a9237e7752b93b66b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a3c728c5a39b6305a9237e7752b93b66b">HasDoor</a> ()</td></tr>
<tr class="separator:a3c728c5a39b6305a9237e7752b93b66b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc853e2690c839d8e181be730da54b32"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#afc853e2690c839d8e181be730da54b32">HasGate</a> ()</td></tr>
<tr class="separator:afc853e2690c839d8e181be730da54b32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2de52c5d0c045513a963d098e557cf09"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a2de52c5d0c045513a963d098e557cf09">HasWindow</a> ()</td></tr>
<tr class="separator:a2de52c5d0c045513a963d098e557cf09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97a989cc3ddd5ce49ba5515fb3cee22a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a97a989cc3ddd5ce49ba5515fb3cee22a">OnVariablesSynchronized</a> ()</td></tr>
<tr class="separator:a97a989cc3ddd5ce49ba5515fb3cee22a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b78a008657079ab6bc5b48792a439ce"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a0b78a008657079ab6bc5b48792a439ce">AfterStoreLoad</a> ()</td></tr>
<tr class="separator:a0b78a008657079ab6bc5b48792a439ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2d3cf5c7efe58f946973f14cf7b0ebd"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#aa2d3cf5c7efe58f946973f14cf7b0ebd">CanReleaseAttachment</a> (EntityAI attachment)</td></tr>
<tr class="separator:aa2d3cf5c7efe58f946973f14cf7b0ebd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15b80f2912c6c9354bb5818bd3285066"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a15b80f2912c6c9354bb5818bd3285066">ExpansionHasCodeLock</a> (string selection)</td></tr>
<tr class="separator:a15b80f2912c6c9354bb5818bd3285066"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb5f19a0a0b765167ef913b57401502d"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d8/d84/a00001.html#d5/d04/a03303">ExpansionCodeLock</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#abb5f19a0a0b765167ef913b57401502d">ExpansionGetCodeLock</a> ()</td></tr>
<tr class="separator:abb5f19a0a0b765167ef913b57401502d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa392d023873feb0491abb6af43bea6d3"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#aa392d023873feb0491abb6af43bea6d3">ExpansionGetCollisionBox</a> (out vector minMax[2])</td></tr>
<tr class="separator:aa392d023873feb0491abb6af43bea6d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01a343f08f94fe88a8c18cc9d2b4e628"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a01a343f08f94fe88a8c18cc9d2b4e628">CanPutInCargo</a> (EntityAI parent)</td></tr>
<tr class="separator:a01a343f08f94fe88a8c18cc9d2b4e628"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f6b80b651540ec78469de15230ad633"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a2f6b80b651540ec78469de15230ad633">IsPlayerInside</a> (<a class="el" href="../../d3/d19/a01847.html">PlayerBase</a> player, string selection)</td></tr>
<tr class="separator:a2f6b80b651540ec78469de15230ad633"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa937aa7cc56179b7144a8118ac53b5b2"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#aa937aa7cc56179b7144a8118ac53b5b2">ExpansionIsOpenable</a> ()</td></tr>
<tr class="separator:aa937aa7cc56179b7144a8118ac53b5b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a381a519b451f15ac9021fc6d389149cd"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a381a519b451f15ac9021fc6d389149cd">ExpansionIsOpenable</a> (string selection)</td></tr>
<tr class="separator:a381a519b451f15ac9021fc6d389149cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d986d5736d690f59139c34811d59dc4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a6d986d5736d690f59139c34811d59dc4">ExpansionHasGate</a> ()</td></tr>
<tr class="separator:a6d986d5736d690f59139c34811d59dc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab23ac6afcb65fe8b8cfd4efd1cab3ada"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#ab23ac6afcb65fe8b8cfd4efd1cab3ada">ExpansionHasDoor</a> ()</td></tr>
<tr class="separator:ab23ac6afcb65fe8b8cfd4efd1cab3ada"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae202fa91198edc19f12d8f9618400cb8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#ae202fa91198edc19f12d8f9618400cb8">OnPartBuiltServer</a> (notnull Man player, string part_name, int action_id)</td></tr>
<tr class="separator:ae202fa91198edc19f12d8f9618400cb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d38a1512564c37147ecedb70f239212"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a8d38a1512564c37147ecedb70f239212">ExpansionUpdateBaseBuildingStateFromPartBuilt</a> (string part_name)</td></tr>
<tr class="separator:a8d38a1512564c37147ecedb70f239212"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af83d635a5efba8e722459d6ec2d871db"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#af83d635a5efba8e722459d6ec2d871db">OnPartDismantledServer</a> (notnull Man player, string part_name, int action_id)</td></tr>
<tr class="separator:af83d635a5efba8e722459d6ec2d871db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e946244e55a091be1b68f089650b89a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a9e946244e55a091be1b68f089650b89a">OnPartDestroyedServer</a> (Man player, string part_name, int action_id, bool destroyed_by_connected_part=false)</td></tr>
<tr class="separator:a9e946244e55a091be1b68f089650b89a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e1871efd386b1519cfad40318cf782d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a6e1871efd386b1519cfad40318cf782d">UpdateVisuals</a> ()</td></tr>
<tr class="separator:a6e1871efd386b1519cfad40318cf782d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacca93298516c12dc63d23b07bc6c5b3"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#aacca93298516c12dc63d23b07bc6c5b3">ExpansionCanAcceptCodeLock</a> (string slot_name)</td></tr>
<tr class="separator:aacca93298516c12dc63d23b07bc6c5b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6935b2e93a40ab6d9ab1688450568487"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a6935b2e93a40ab6d9ab1688450568487">CanDisplayAttachmentCategory</a> (string category_name)</td></tr>
<tr class="separator:a6935b2e93a40ab6d9ab1688450568487"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60e57839594696b441cda4bfebb01abd"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a60e57839594696b441cda4bfebb01abd">CanDisplayAttachmentSlot</a> (int slot_id)</td></tr>
<tr class="separator:a60e57839594696b441cda4bfebb01abd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fba82c20adf168e2eb50cfb75b587d5"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a8fba82c20adf168e2eb50cfb75b587d5">CanReceiveAttachment</a> (EntityAI attachment, int slotId)</td></tr>
<tr class="separator:a8fba82c20adf168e2eb50cfb75b587d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af68f8d6a89459c23f3148054688148fd"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#af68f8d6a89459c23f3148054688148fd">ExpansionCanOpen</a> (<a class="el" href="../../d3/d19/a01847.html">PlayerBase</a> player, string selection)</td></tr>
<tr class="separator:af68f8d6a89459c23f3148054688148fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab36e647e5c02361ba8a8f48b44d3ad78"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#ab36e647e5c02361ba8a8f48b44d3ad78">ExpansionCanClose</a> (<a class="el" href="../../d3/d19/a01847.html">PlayerBase</a> player, string selection)</td></tr>
<tr class="separator:ab36e647e5c02361ba8a8f48b44d3ad78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa03c5cd6af1f4037ca111bb2677bfe32"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#aa03c5cd6af1f4037ca111bb2677bfe32">CanClose</a> (string selection)</td></tr>
<tr class="separator:aa03c5cd6af1f4037ca111bb2677bfe32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a541097bf4179ab79cf99426ad3c5f178"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a541097bf4179ab79cf99426ad3c5f178">Open</a> (string selection)</td></tr>
<tr class="separator:a541097bf4179ab79cf99426ad3c5f178"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8aafdc862402877984fc8233f4ae666"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#aa8aafdc862402877984fc8233f4ae666">Close</a> (string selection)</td></tr>
<tr class="separator:aa8aafdc862402877984fc8233f4ae666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a900817a577c4de7caf75a8e11c45c51b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a900817a577c4de7caf75a8e11c45c51b">UnlockAndOpen</a> (string selection)</td></tr>
<tr class="separator:a900817a577c4de7caf75a8e11c45c51b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c2411836f9cb3dda5831009cf170035"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a2c2411836f9cb3dda5831009cf170035">CloseAndLock</a> (string selection)</td></tr>
<tr class="separator:a2c2411836f9cb3dda5831009cf170035"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a08923a7b74eea26fba02295907286f96"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a08923a7b74eea26fba02295907286f96">m_Expansion_IsOpened1</a></td></tr>
<tr class="separator:a08923a7b74eea26fba02295907286f96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a199bd84cf1123962b1b13f453fc50bff"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a199bd84cf1123962b1b13f453fc50bff">m_Expansion_IsOpened2</a></td></tr>
<tr class="separator:a199bd84cf1123962b1b13f453fc50bff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2af2ecd16e72ec4da8721b46ed0f3b37"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a2af2ecd16e72ec4da8721b46ed0f3b37">m_Expansion_IsOpened3</a></td></tr>
<tr class="separator:a2af2ecd16e72ec4da8721b46ed0f3b37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95871532092eedcd0cac6624dc1d4922"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a95871532092eedcd0cac6624dc1d4922">m_Expansion_IsOpened4</a></td></tr>
<tr class="separator:a95871532092eedcd0cac6624dc1d4922"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5785a3016e8c6a71e61e1cae01b23a98"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a5785a3016e8c6a71e61e1cae01b23a98">m_WasOpen</a></td></tr>
<tr class="separator:a5785a3016e8c6a71e61e1cae01b23a98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62c6cc907afb172fed219dfed445aa2d"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a62c6cc907afb172fed219dfed445aa2d">m_WasOpen1</a></td></tr>
<tr class="separator:a62c6cc907afb172fed219dfed445aa2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5199933c53d222dd934deff83a682b4e"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a5199933c53d222dd934deff83a682b4e">m_WasOpen2</a></td></tr>
<tr class="separator:a5199933c53d222dd934deff83a682b4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b4d15b401a6b31a7b7b654d1787b4db"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a8b4d15b401a6b31a7b7b654d1787b4db">m_HasWindow</a></td></tr>
<tr class="separator:a8b4d15b401a6b31a7b7b654d1787b4db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ac9d1f3b307bb843e8d1021dddf2e9f"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a6ac9d1f3b307bb843e8d1021dddf2e9f">m_HasDoor</a></td></tr>
<tr class="separator:a6ac9d1f3b307bb843e8d1021dddf2e9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefd324e34a3714ff040bcc2a122491bf"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#aefd324e34a3714ff040bcc2a122491bf">m_HasGate</a></td></tr>
<tr class="separator:aefd324e34a3714ff040bcc2a122491bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71da2cb29004a7c2bc80add21f20108e"><td class="memItemLeft" align="right" valign="top">protected bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/df4/a01779.html#a71da2cb29004a7c2bc80add21f20108e">m_HasWall</a></td></tr>
<tr class="separator:a71da2cb29004a7c2bc80add21f20108e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >ExpansionWallBase.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00013">13</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a504e2194586efaa0ecb580de43fcf523" name="a504e2194586efaa0ecb580de43fcf523"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a504e2194586efaa0ecb580de43fcf523">&#9670;&#160;</a></span>ExpansionWallBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionWallBase::ExpansionWallBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00030">30</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0b78a008657079ab6bc5b48792a439ce" name="a0b78a008657079ab6bc5b48792a439ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b78a008657079ab6bc5b48792a439ce">&#9670;&#160;</a></span>AfterStoreLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionWallBase::AfterStoreLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Restore state of opened windows/door/gate</p>

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00192">192</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a41e115a8950f9fe82667ca497fde992d" name="a41e115a8950f9fe82667ca497fde992d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41e115a8950f9fe82667ca497fde992d">&#9670;&#160;</a></span>CanBeDamaged()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::CanBeDamaged </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00068">68</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="aa03c5cd6af1f4037ca111bb2677bfe32" name="aa03c5cd6af1f4037ca111bb2677bfe32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa03c5cd6af1f4037ca111bb2677bfe32">&#9670;&#160;</a></span>CanClose()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::CanClose </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>selection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00564">564</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a6935b2e93a40ab6d9ab1688450568487" name="a6935b2e93a40ab6d9ab1688450568487"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6935b2e93a40ab6d9ab1688450568487">&#9670;&#160;</a></span>CanDisplayAttachmentCategory()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::CanDisplayAttachmentCategory </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>category_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >GetHealth cannot be called on client. Using GetHealthLevel instead</p>
<p >GetHealth cannot be called on client. Using GetHealthLevel instead</p>

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00461">461</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a60e57839594696b441cda4bfebb01abd" name="a60e57839594696b441cda4bfebb01abd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60e57839594696b441cda4bfebb01abd">&#9670;&#160;</a></span>CanDisplayAttachmentSlot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::CanDisplayAttachmentSlot </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slot_id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00491">491</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a01a343f08f94fe88a8c18cc9d2b4e628" name="a01a343f08f94fe88a8c18cc9d2b4e628"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01a343f08f94fe88a8c18cc9d2b4e628">&#9670;&#160;</a></span>CanPutInCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::CanPutInCargo </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00265">265</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a8fba82c20adf168e2eb50cfb75b587d5" name="a8fba82c20adf168e2eb50cfb75b587d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fba82c20adf168e2eb50cfb75b587d5">&#9670;&#160;</a></span>CanReceiveAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::CanReceiveAttachment </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>attachment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>slotId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00508">508</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="aa2d3cf5c7efe58f946973f14cf7b0ebd" name="aa2d3cf5c7efe58f946973f14cf7b0ebd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2d3cf5c7efe58f946973f14cf7b0ebd">&#9670;&#160;</a></span>CanReleaseAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::CanReleaseAttachment </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>attachment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00212">212</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="aa8aafdc862402877984fc8233f4ae666" name="aa8aafdc862402877984fc8233f4ae666"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8aafdc862402877984fc8233f4ae666">&#9670;&#160;</a></span>Close()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionWallBase::Close </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>selection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00653">653</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a2c2411836f9cb3dda5831009cf170035" name="a2c2411836f9cb3dda5831009cf170035"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c2411836f9cb3dda5831009cf170035">&#9670;&#160;</a></span>CloseAndLock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionWallBase::CloseAndLock </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>selection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00726">726</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="aacca93298516c12dc63d23b07bc6c5b3" name="aacca93298516c12dc63d23b07bc6c5b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacca93298516c12dc63d23b07bc6c5b3">&#9670;&#160;</a></span>ExpansionCanAcceptCodeLock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionWallBase::ExpansionCanAcceptCodeLock </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>slot_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00440">440</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="ab36e647e5c02361ba8a8f48b44d3ad78" name="ab36e647e5c02361ba8a8f48b44d3ad78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab36e647e5c02361ba8a8f48b44d3ad78">&#9670;&#160;</a></span>ExpansionCanClose()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::ExpansionCanClose </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d19/a01847.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>selection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00559">559</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="af68f8d6a89459c23f3148054688148fd" name="af68f8d6a89459c23f3148054688148fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af68f8d6a89459c23f3148054688148fd">&#9670;&#160;</a></span>ExpansionCanOpen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::ExpansionCanOpen </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d19/a01847.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>selection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00525">525</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="abb5f19a0a0b765167ef913b57401502d" name="abb5f19a0a0b765167ef913b57401502d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb5f19a0a0b765167ef913b57401502d">&#9670;&#160;</a></span>ExpansionGetCodeLock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d8/d84/a00001.html#d5/d04/a03303">ExpansionCodeLock</a> ExpansionWallBase::ExpansionGetCodeLock </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00247">247</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="aa392d023873feb0491abb6af43bea6d3" name="aa392d023873feb0491abb6af43bea6d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa392d023873feb0491abb6af43bea6d3">&#9670;&#160;</a></span>ExpansionGetCollisionBox()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::ExpansionGetCollisionBox </td>
          <td>(</td>
          <td class="paramtype">out vector&#160;</td>
          <td class="paramname"><em>minMax</em>[2]</td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00258">258</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a15b80f2912c6c9354bb5818bd3285066" name="a15b80f2912c6c9354bb5818bd3285066"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15b80f2912c6c9354bb5818bd3285066">&#9670;&#160;</a></span>ExpansionHasCodeLock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::ExpansionHasCodeLock </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>selection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00226">226</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="ab23ac6afcb65fe8b8cfd4efd1cab3ada" name="ab23ac6afcb65fe8b8cfd4efd1cab3ada"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab23ac6afcb65fe8b8cfd4efd1cab3ada">&#9670;&#160;</a></span>ExpansionHasDoor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionWallBase::ExpansionHasDoor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00330">330</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a6d986d5736d690f59139c34811d59dc4" name="a6d986d5736d690f59139c34811d59dc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d986d5736d690f59139c34811d59dc4">&#9670;&#160;</a></span>ExpansionHasGate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionWallBase::ExpansionHasGate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00325">325</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="aa937aa7cc56179b7144a8118ac53b5b2" name="aa937aa7cc56179b7144a8118ac53b5b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa937aa7cc56179b7144a8118ac53b5b2">&#9670;&#160;</a></span>ExpansionIsOpenable() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::ExpansionIsOpenable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00292">292</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a381a519b451f15ac9021fc6d389149cd" name="a381a519b451f15ac9021fc6d389149cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a381a519b451f15ac9021fc6d389149cd">&#9670;&#160;</a></span>ExpansionIsOpenable() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::ExpansionIsOpenable </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>selection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00297">297</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a8d38a1512564c37147ecedb70f239212" name="a8d38a1512564c37147ecedb70f239212"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d38a1512564c37147ecedb70f239212">&#9670;&#160;</a></span>ExpansionUpdateBaseBuildingStateFromPartBuilt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionWallBase::ExpansionUpdateBaseBuildingStateFromPartBuilt </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>part_name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00350">350</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="affbe467b9a2298513e586e1219c0fc7c" name="affbe467b9a2298513e586e1219c0fc7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affbe467b9a2298513e586e1219c0fc7c">&#9670;&#160;</a></span>GetConstructionKitType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string ExpansionWallBase::GetConstructionKitType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00054">54</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a3b4b00c1a13d14107b9e0eb25194e15a" name="a3b4b00c1a13d14107b9e0eb25194e15a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b4b00c1a13d14107b9e0eb25194e15a">&#9670;&#160;</a></span>HasBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::HasBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00142">142</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a3c728c5a39b6305a9237e7752b93b66b" name="a3c728c5a39b6305a9237e7752b93b66b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c728c5a39b6305a9237e7752b93b66b">&#9670;&#160;</a></span>HasDoor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionWallBase::HasDoor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00147">147</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="afc853e2690c839d8e181be730da54b32" name="afc853e2690c839d8e181be730da54b32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc853e2690c839d8e181be730da54b32">&#9670;&#160;</a></span>HasGate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionWallBase::HasGate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00152">152</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a2de52c5d0c045513a963d098e557cf09" name="a2de52c5d0c045513a963d098e557cf09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2de52c5d0c045513a963d098e557cf09">&#9670;&#160;</a></span>HasWindow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionWallBase::HasWindow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00157">157</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a4459a8df4dc0e63f2661ae070b1bbcb2" name="a4459a8df4dc0e63f2661ae070b1bbcb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4459a8df4dc0e63f2661ae070b1bbcb2">&#9670;&#160;</a></span>IsLastStage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::IsLastStage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00044">44</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a24d4c96ca70d6feba2f062847a4b5a29" name="a24d4c96ca70d6feba2f062847a4b5a29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24d4c96ca70d6feba2f062847a4b5a29">&#9670;&#160;</a></span>IsLastStageBuilt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::IsLastStageBuilt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00049">49</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a2f6b80b651540ec78469de15230ad633" name="a2f6b80b651540ec78469de15230ad633"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f6b80b651540ec78469de15230ad633">&#9670;&#160;</a></span>IsPlayerInside()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::IsPlayerInside </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d19/a01847.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>selection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Don't allow dismantling from below/above</p>

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00270">270</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="ada84ef69e9ef03fee3ead778c452bf39" name="ada84ef69e9ef03fee3ead778c452bf39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada84ef69e9ef03fee3ead778c452bf39">&#9670;&#160;</a></span>NameOverride()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionWallBase::NameOverride </td>
          <td>(</td>
          <td class="paramtype">out string&#160;</td>
          <td class="paramname"><em>output</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00059">59</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="ae202fa91198edc19f12d8f9618400cb8" name="ae202fa91198edc19f12d8f9618400cb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae202fa91198edc19f12d8f9618400cb8">&#9670;&#160;</a></span>OnPartBuiltServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionWallBase::OnPartBuiltServer </td>
          <td>(</td>
          <td class="paramtype">notnull Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>part_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>action_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00335">335</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a9e946244e55a091be1b68f089650b89a" name="a9e946244e55a091be1b68f089650b89a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e946244e55a091be1b68f089650b89a">&#9670;&#160;</a></span>OnPartDestroyedServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionWallBase::OnPartDestroyedServer </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>part_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>action_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>destroyed_by_connected_part</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00390">390</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="af83d635a5efba8e722459d6ec2d871db" name="af83d635a5efba8e722459d6ec2d871db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af83d635a5efba8e722459d6ec2d871db">&#9670;&#160;</a></span>OnPartDismantledServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionWallBase::OnPartDismantledServer </td>
          <td>(</td>
          <td class="paramtype">notnull Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>part_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>action_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00373">373</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a97a989cc3ddd5ce49ba5515fb3cee22a" name="a97a989cc3ddd5ce49ba5515fb3cee22a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97a989cc3ddd5ce49ba5515fb3cee22a">&#9670;&#160;</a></span>OnVariablesSynchronized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionWallBase::OnVariablesSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00162">162</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a541097bf4179ab79cf99426ad3c5f178" name="a541097bf4179ab79cf99426ad3c5f178"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a541097bf4179ab79cf99426ad3c5f178">&#9670;&#160;</a></span>Open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionWallBase::Open </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>selection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00598">598</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a900817a577c4de7caf75a8e11c45c51b" name="a900817a577c4de7caf75a8e11c45c51b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a900817a577c4de7caf75a8e11c45c51b">&#9670;&#160;</a></span>UnlockAndOpen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionWallBase::UnlockAndOpen </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>selection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00712">712</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a6e1871efd386b1519cfad40318cf782d" name="a6e1871efd386b1519cfad40318cf782d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e1871efd386b1519cfad40318cf782d">&#9670;&#160;</a></span>UpdateVisuals()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionWallBase::UpdateVisuals </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00403">403</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a08923a7b74eea26fba02295907286f96" name="a08923a7b74eea26fba02295907286f96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08923a7b74eea26fba02295907286f96">&#9670;&#160;</a></span>m_Expansion_IsOpened1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionWallBase::m_Expansion_IsOpened1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00015">15</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a199bd84cf1123962b1b13f453fc50bff" name="a199bd84cf1123962b1b13f453fc50bff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a199bd84cf1123962b1b13f453fc50bff">&#9670;&#160;</a></span>m_Expansion_IsOpened2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionWallBase::m_Expansion_IsOpened2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00016">16</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a2af2ecd16e72ec4da8721b46ed0f3b37" name="a2af2ecd16e72ec4da8721b46ed0f3b37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2af2ecd16e72ec4da8721b46ed0f3b37">&#9670;&#160;</a></span>m_Expansion_IsOpened3</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionWallBase::m_Expansion_IsOpened3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00017">17</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a95871532092eedcd0cac6624dc1d4922" name="a95871532092eedcd0cac6624dc1d4922"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95871532092eedcd0cac6624dc1d4922">&#9670;&#160;</a></span>m_Expansion_IsOpened4</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionWallBase::m_Expansion_IsOpened4</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00018">18</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a6ac9d1f3b307bb843e8d1021dddf2e9f" name="a6ac9d1f3b307bb843e8d1021dddf2e9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ac9d1f3b307bb843e8d1021dddf2e9f">&#9670;&#160;</a></span>m_HasDoor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionWallBase::m_HasDoor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00025">25</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="aefd324e34a3714ff040bcc2a122491bf" name="aefd324e34a3714ff040bcc2a122491bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefd324e34a3714ff040bcc2a122491bf">&#9670;&#160;</a></span>m_HasGate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionWallBase::m_HasGate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00026">26</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a71da2cb29004a7c2bc80add21f20108e" name="a71da2cb29004a7c2bc80add21f20108e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71da2cb29004a7c2bc80add21f20108e">&#9670;&#160;</a></span>m_HasWall</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionWallBase::m_HasWall</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00027">27</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a8b4d15b401a6b31a7b7b654d1787b4db" name="a8b4d15b401a6b31a7b7b654d1787b4db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b4d15b401a6b31a7b7b654d1787b4db">&#9670;&#160;</a></span>m_HasWindow</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionWallBase::m_HasWindow</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00024">24</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a5785a3016e8c6a71e61e1cae01b23a98" name="a5785a3016e8c6a71e61e1cae01b23a98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5785a3016e8c6a71e61e1cae01b23a98">&#9670;&#160;</a></span>m_WasOpen</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionWallBase::m_WasOpen</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00020">20</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a62c6cc907afb172fed219dfed445aa2d" name="a62c6cc907afb172fed219dfed445aa2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62c6cc907afb172fed219dfed445aa2d">&#9670;&#160;</a></span>m_WasOpen1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionWallBase::m_WasOpen1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00021">21</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<a id="a5199933c53d222dd934deff83a682b4e" name="a5199933c53d222dd934deff83a682b4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5199933c53d222dd934deff83a682b4e">&#9670;&#160;</a></span>m_WasOpen2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected bool ExpansionWallBase::m_WasOpen2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d91/a00410_source.html#l00022">22</a> of file <a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/basebuilding/walls/<a class="el" href="../../d8/d91/a00410_source.html">expansionwall.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/df4/a01779.html">ExpansionWallBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
